/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2017. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  DEVI_PANEL                       1       /* callback function: Devi_Panel */
#define  DEVI_PANEL_SELECT                2       /* control type: command, callback function: Buttons */
#define  DEVI_PANEL_CANCEL                3       /* control type: command, callback function: Buttons */
#define  DEVI_PANEL_LISTBOX               4       /* control type: listBox, callback function: Buttons */
#define  DEVI_PANEL_SPLITTER              5       /* control type: splitter, callback function: (none) */

#define  MAIN_PANEL                       2       /* callback function: Main_Panel */
#define  MAIN_PANEL_OPEN_BUTTON           2       /* control type: pictButton, callback function: Hardware */
#define  MAIN_PANEL_CLOSE_BUTTON          3       /* control type: pictButton, callback function: Hardware */
#define  MAIN_PANEL_HARDWARE_LED          4       /* control type: LED, callback function: (none) */
#define  MAIN_PANEL_ID                    5       /* control type: string, callback function: (none) */
#define  MAIN_PANEL_NETWORK_BUTTON        6       /* control type: command, callback function: Network */
#define  MAIN_PANEL_SPLITTER              7       /* control type: splitter, callback function: (none) */
#define  MAIN_PANEL_TAB                   8       /* control type: tab, callback function: (none) */

#define  NETW_PANEL                       3       /* callback function: Netw_Panel */
#define  NETW_PANEL_CANCEL                2       /* control type: command, callback function: Buttons */
#define  NETW_PANEL_SSID                  3       /* control type: string, callback function: (none) */
#define  NETW_PANEL_HOSTNAME              4       /* control type: string, callback function: (none) */
#define  NETW_PANEL_LIP3                  5       /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_NTP_SAVE              6       /* control type: command, callback function: Buttons */
#define  NETW_PANEL_LIP2                  7       /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_LIP1                  8       /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_LIP0                  9       /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_GIP3                  10      /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_GIP2                  11      /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_GIP1                  12      /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_GIP0                  13      /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_SUB3                  14      /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_SUB2                  15      /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_SUB1                  16      /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_SUB0                  17      /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_DNS3                  18      /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_DNS2                  19      /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_DNS1                  20      /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_DNS0                  21      /* control type: numeric, callback function: (none) */
#define  NETW_PANEL_MAC                   22      /* control type: string, callback function: (none) */
#define  NETW_PANEL_NTP_NAME_1            23      /* control type: string, callback function: (none) */
#define  NETW_PANEL_NTP_NAME_2            24      /* control type: string, callback function: (none) */
#define  NETW_PANEL_NTP_NAME_3            25      /* control type: string, callback function: (none) */
#define  NETW_PANEL_TABLE                 26      /* control type: table, callback function: Buttons */
#define  NETW_PANEL_CONNECT_LED           27      /* control type: LED, callback function: (none) */
#define  NETW_PANEL_NETWORK_STATUS_TEXT   28      /* control type: textMsg, callback function: (none) */
#define  NETW_PANEL_TEXTMSG_1             29      /* control type: textMsg, callback function: (none) */
#define  NETW_PANEL_TEXTMSG_2             30      /* control type: textMsg, callback function: (none) */
#define  NETW_PANEL_SCAN                  31      /* control type: command, callback function: Buttons */
#define  NETW_PANEL_SPLITTER_2            32      /* control type: splitter, callback function: (none) */
#define  NETW_PANEL_SPLITTER_3            33      /* control type: splitter, callback function: (none) */
#define  NETW_PANEL_SPLITTER              34      /* control type: splitter, callback function: (none) */

     /* tab page panel controls */
#define  TAB0_RH                          2       /* control type: textMsg, callback function: (none) */
#define  TAB0_LINE                        3       /* control type: textMsg, callback function: (none) */
#define  TAB0_TM                          4       /* control type: textMsg, callback function: (none) */
#define  TAB0_DATE                        5       /* control type: textMsg, callback function: (none) */
#define  TAB0_TIME_SEC                    6       /* control type: textMsg, callback function: (none) */
#define  TAB0_TIME_HM                     7       /* control type: textMsg, callback function: (none) */
#define  TAB0_CANVAS_LCD                  8       /* control type: canvas, callback function: (none) */
#define  TAB0_DECORATION                  9       /* control type: deco, callback function: (none) */

     /* tab page panel controls */
#define  TAB1_ALARM_H                     2       /* control type: numeric, callback function: (none) */
#define  TAB1_TEXTMSG                     3       /* control type: textMsg, callback function: (none) */
#define  TAB1_ALARM_M                     4       /* control type: numeric, callback function: (none) */
#define  TAB1_ALARM_ON_OFF                5       /* control type: ring, callback function: (none) */
#define  TAB1_ALARM_VOLUME                6       /* control type: slide, callback function: (none) */
#define  TAB1_ALARM                       7       /* control type: command, callback function: Change_Alarm */

     /* tab page panel controls */
#define  TAB2_TIME_ZONE                   2       /* control type: numeric, callback function: Change_Time_Zone */
#define  TAB2_DST                         3       /* control type: radioButton, callback function: Change_DST */
#define  TAB2_CALIBRATION                 4       /* control type: numeric, callback function: Change_Calibration */
#define  TAB2_BRIGHTNESS                  5       /* control type: scale, callback function: Change_Brightness */
#define  TAB2_ANIMATION                   6       /* control type: ring, callback function: Change_Animation */
#define  TAB2_HOST_NAME                   7       /* control type: string, callback function: (none) */
#define  TAB2_HOST                        8       /* control type: command, callback function: Change_Host */
#define  TAB2_URL_NAME                    9       /* control type: string, callback function: (none) */
#define  TAB2_URL                         10      /* control type: command, callback function: Change_URL */


     /* Control Arrays: */

          /* (no control arrays in the resource file) */


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                             1
#define  MENU_PROJECT                     2
#define  MENU_PROJECT_ABOUT               3       /* callback function: Menu_Select */
#define  MENU_PROJECT_SEPARATOR2          4
#define  MENU_PROJECT_QUIT                5       /* callback function: Menu_Select */


     /* Callback Prototypes: */

int  CVICALLBACK Buttons(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Change_Alarm(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Change_Animation(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Change_Brightness(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Change_Calibration(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Change_DST(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Change_Host(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Change_Time_Zone(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Change_URL(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Devi_Panel(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Hardware(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Main_Panel(int panel, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK Menu_Select(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK Netw_Panel(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Network(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
